body {
    min-height: 100%; /* Make the page with height of at least 100% of view height */
    margin: 0; /* some browsers automatically add margin, so we want to remove it. Now here comes the box model~~~ */

    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif; /* define series of fonts that should be applied; first available font will be used. */
    background-color: lightgray; /* not too bright on our eyes */
    color: green

}
footer {
    position: absolute; /* position the footer with respect to its parent container, which is body */
    width: 100%; /* an absolute container only covers the content inside it so make the footer occupy an entire row, exactly equal to 100% of view width */
    bottom: 0; /* anchor this element on the bottom of its parent container with distance 0 */
    /* right: 0; no effect since we make its width 100% */
}
footer p {
    margin: 1em; /* put a spacing of 1em (~16px) outside its imaginary border */
    text-align: right;
}
